## Apache Zeta Components Manual :: Docs For Class ezcMvcAuthenticationFilterOptions

### MvcAuthenticationTiein::ezcMvcAuthenticationFilterOptions

### Class ezcMvcAuthenticationFilterOptions

Class containing authentication filter options

Source for this file: /MvcAuthenticationTiein/src/options/filter-options.php

    ezcBaseOptions
       |
       --ezcMvcAuthenticationFilterOptions

Version: | //autogen//

### Properties

ezcDbInstance | read/write | `$database` The database that is used for the user database.
string | read/write | `$loginRequiredUri` The URI that the filter will be redirected to when authentication is required.
string | read/write | `$logoutUri` The URI that the filter will be redirected to when he runs the logout action.
string | read/write | `$passwordField` The field that contains the user's password.
string | read/write | `$sessionTimestampKey` The name of the session variable that contains the last-accessed timestamp.
string | read/write | `$sessionUserIdKey` The name of the session variable that contains the user ID.
string | read/write | `$tableName` The table that stores the user information.
string | read/write | `$userIdField` The field that contains the unique user ID.
string | read/write | `$userNameField` The field that contains the user's full name.
string | read/write | `$varNameFilter` The name of the variable under which the auth filter is available in the controller's actions.
string | read/write | `$varNameUserId` The name of the variable under which the user ID will be provided in the controller's actions.
string | read/write | `$varNameUserName` The name of the variable under which the user name will be provided in the controller's actions.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcMvcAuthenticationFilterOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcMvcAuthenticationFilterOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3